"""
PLZ Data Module

This module contains the mapping of PLZ ranges to Bundesländer.
"""

PLZ_RANGES = {
    ('01001', '01936'): 'Sachsen',
    ('01941', '01998'): 'Brandenburg',
    ('02601', '02999'): 'Sachsen',
    ('03001', '03253'): 'Brandenburg',
    ('04001', '04579'): 'Sachsen',
    ('04581', '04639'): 'Thüringen',
    ('04641', '04889'): 'Sachsen',
    ('04891', '04938'): 'Brandenburg',
    ('06001', '06548'): 'Sachsen-Anhalt',
    ('06551', '06578'): 'Thüringen',
    ('06601', '06928'): 'Sachsen-Anhalt',
    ('07301', '07919'): 'Thüringen',
    ('07920', '07989'): 'Thüringen',
    ('08001', '09669'): 'Sachsen',
    ('10001', '14330'): 'Berlin',
    ('14401', '16949'): 'Brandenburg',
    ('17001', '17256'): 'Mecklenburg-Vorpommern',
    ('17261', '17291'): 'Brandenburg',
    ('17301', '19260'): 'Mecklenburg-Vorpommern',
    ('19271', '19273'): 'Niedersachsen',
    ('19273', '19306'): 'Mecklenburg-Vorpommern',
    ('19307', '19357'): 'Brandenburg',
    ('19357', '19417'): 'Mecklenburg-Vorpommern',
    ('20001', '21170'): 'Hamburg',
    ('21202', '21449'): 'Niedersachsen',
    ('21451', '21529'): 'Schleswig-Holstein',
    ('21601', '21789'): 'Niedersachsen',
    ('22001', '22786'): 'Hamburg',
    ('22801', '23919'): 'Schleswig-Holstein',
    ('23921', '23999'): 'Mecklenburg-Vorpommern',
    ('24001', '25999'): 'Schleswig-Holstein',
    ('26001', '27478'): 'Niedersachsen',
    ('27483', '27498'): 'Schleswig-Holstein',
    ('27501', '27580'): 'Bremen',
    ('27607', '27809'): 'Niedersachsen',
    ('28001', '28779'): 'Bremen',
    ('28784', '29399'): 'Niedersachsen',
    ('29401', '29416'): 'Sachsen-Anhalt',
    ('29431', '31868'): 'Niedersachsen',
    ('32001', '33829'): 'Nordrhein-Westfalen',
    ('34001', '34399'): 'Hessen',
    ('34401', '34439'): 'Nordrhein-Westfalen',
    ('34441', '36399'): 'Hessen',
    ('36401', '36469'): 'Thüringen',
    ('37001', '37299'): 'Niedersachsen',
    ('37301', '37359'): 'Thüringen',
    ('37401', '37649'): 'Niedersachsen',
    ('37651', '37696'): 'Nordrhein-Westfalen',
    ('37697', '38479'): 'Niedersachsen',
    ('38481', '38489'): 'Sachsen-Anhalt',
    ('38501', '38729'): 'Niedersachsen',
    ('38801', '39649'): 'Sachsen-Anhalt',
    ('40001', '48432'): 'Nordrhein-Westfalen',
    ('48442', '48531'): 'Niedersachsen',
    ('48541', '48739'): 'Nordrhein-Westfalen',
    ('49001', '49459'): 'Niedersachsen',
    ('49461', '49549'): 'Nordrhein-Westfalen',
    ('49551', '49849'): 'Niedersachsen',
    ('50101', '53359'): 'Nordrhein-Westfalen',
    ('53401', '53579'): 'Rheinland-Pfalz',
    ('53581', '53949'): 'Nordrhein-Westfalen',
    ('54181', '56869'): 'Rheinland-Pfalz',
    ('57001', '57489'): 'Nordrhein-Westfalen',
    ('57501', '57648'): 'Rheinland-Pfalz',
    ('58001', '59969'): 'Nordrhein-Westfalen',
    ('60001', '63699'): 'Hessen',
    ('63701', '63939'): 'Bayern',
    ('64201', '65936'): 'Hessen',
    ('66001', '66459'): 'Saarland',
    ('66461', '66509'): 'Rheinland-Pfalz',
    ('66511', '66839'): 'Saarland',
    ('66841', '67829'): 'Rheinland-Pfalz',
    ('68001', '68312'): 'Baden-Württemberg',
    ('68501', '68649'): 'Hessen',
    ('68701', '69518'): 'Baden-Württemberg',
    ('70001', '76709'): 'Baden-Württemberg',
    ('76711', '76891'): 'Rheinland-Pfalz',
    ('77601', '79879'): 'Baden-Württemberg',
    ('80001', '87789'): 'Bayern',
    ('88001', '89198'): 'Baden-Württemberg',
    ('89201', '89449'): 'Bayern',
    ('89501', '89619'): 'Baden-Württemberg',
    ('90001', '96489'): 'Bayern',
    ('96501', '96529'): 'Thüringen',
    ('97001', '97909'): 'Bayern',
    ('97911', '97999'): 'Baden-Württemberg',
    ('98501', '99998'): 'Thüringen'
}
